Subject: bug#27442: Un-obsolete x-clipboard-yank, or provide analogous functional

From: Eli Zaretskii <[email-masked]>
Date: Mon, 05 Jul 2021 19:55:06 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Constantine Kharlamov <[email-masked]>,  Eli Zaretskii
>  <[email-masked]>,  [email-masked]
> Date: Mon, 05 Jul 2021 17:28:02 +0200
> 
> *ponder* Well, I guess it's a vague kind of DWIM thing going on...
> Since we don't have timestamps on our own kills, and
> `select-enable-clipboard' defaults to t, we want to let a clipboard
> selection "win" if we haven't yanked it before?  But...  it seems to me
> like this is already handled by other logic when putting things on the
> kill ring in the first place.
> 
> That is, if you "emacs -Q", put something on the clipboard from a
> different programme, and when `M-w' something in Emacs, then `C-y' will
> insert the latter.
> 
> I've tested various things here now, and I'm unable to come up with a
> scenario where the current DWIM logic is helpful, really.

Please also try with save-interprogram-paste-before-kill non-nil.